version: '3'

services:
  #   web:
  #   build:
  #     context: .
  #     dockerfile: Dockerfile
  #   ports:
  #     - '3000:3000'
  #   environment:
  #     - DATABASE_URL=mysql://icaeventscom_berlik:BerlikAdmin2018@localhost:3306/icaeventscom_main
  #   volumes:
  #     - ./node_modules:/app/node_modules
  #     - ./src:/app/src
  #     - ./public:/app/public

  phpmyadmin:
    depends_on:
      - db
    image: phpmyadmin/phpmyadmin
    environment:
      PMA_HOST: db
      PMA_PORT: 3306
      PMA_ARBITRARY: 1
    restart: always
    ports:
      - 8080:80

  db:
    image: mysql:8.0
    environment:
      MYSQL_ROOT_PASSWORD: root
      MYSQL_DATABASE: icaeventscom_main
      MYSQL_USER: icaeventscom_user
      MYSQL_PASSWORD: icaevents123
    ports:
      - '3306:3306'
    volumes:
      - mysql-data:/var/lib/mysql

volumes:
  mysql-data:
